Description

Safemode appears to be broken after my upgrade from RC1 to RC4.  RC4 was unable to render my provisioning template with the

following error:

There was an error rendering the FC-RHEL6-Kickstart template: compile error

/usr/lib/ruby/gems/1.8/gems/safemode-1.1.0/lib/safemode.rb:55: syntax error, unexpected tNEQ

...jail.concat((@osver.to_jail.!=(3) and if @osver.to_jail.!=(4...

                              ^

/usr/lib/ruby/gems/1.8/gems/safemode-1.1.0/lib/safemode.rb:55: syntax error, unexpected tNEQ

...!=(3) and if @osver.to_jail.!=(4) then

                              ^

/usr/lib/ruby/gems/1.8/gems/safemode-1.1.0/lib/safemode.rb:55: syntax error, unexpected kTHEN, exp

ecting ')'

/usr/lib/ruby/gems/1.8/gems/safemode-1.1.0/lib/safemode.rb:57: syntax error, unexpected kELSE, exp

ecting ')'

/usr/lib/ruby/gems/1.8/gems/safemode-1.1.0/lib/safemode.rb:59: syntax error, unexpected kEND, expe

cting ')'

end).to_jail.to_s)

   ^

/usr/lib/ruby/gems/1.8/gems/safemode-1.1.0/lib/safemode.rb:60: syntax error, unexpected tIDENTIFIE

R, expecting ')'

_erbout.to_jail.concat("\nbootloader ...

       ^

/usr/lib/ruby/gems/1.8/gems/safemode-1.1.0/lib/safemode.rb:68: syntax error, unexpected tNEQ

_erbout.to_jail.concat((if @osver.to_jail.!=(3) then

                                            ^

/usr/lib/ruby/gems/1.8/gems/safemode-1.1.0/lib/safemode.rb:68: syntax error, unexpected kTHEN, exp

ecting ')'

/usr/lib/ruby/gems/1.8/gems/safemode-1.1.0/lib/safemode.rb:70: syntax error, unexpected kEND, expe

cting ')'

end).to_jail.to_s)

   ^

/usr/lib/ruby/gems/1.8/gems/safemode-1.1.0/lib/safemode.rb:71: syntax error, unexpected tIDENTIFIE

R, expecting ')'

_erbout.to_jail.concat("network --bootproto ")

       ^

 Disabling Safrmode in Settings->Provisioning allowed the template to render properly.

Associated revisions

Revision 7dfe4b12 - 02/12/2013 09:00 AM - Dominic Cleal

fixes #2110 - bump safemode to support !=

Revision 1628f795 - 02/12/2013 09:05 AM - Dominic Cleal

fixes #2110 - bump safemode to support !=
History

#1 - 02/05/2013 07:02 AM - Anonymous

Would it be possible to see the template/snippet of the template that triggered the exception?

#2 - 02/11/2013 01:15 PM - Dominic Cleal

- Category set to Templates

- Status changed from New to Ready For Testing

- Assignee set to Dominic Cleal

Thanks for the safemode fix Dmitri!

https://github.com/theforeman/foreman/pull/407

#3 - 02/12/2013 09:07 AM - Ohad Levy

- Target version set to 1.2.0

#4 - 02/12/2013 10:29 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 1628f795b09c33b57b1cbd7f1261e901a7c249a0.
